Subject: Re: How to use __DYNAMIC_REENT__ correctly in multithreaded applications?
From: "J. Johnston" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 25 Aug 2003 14:25:07 -0400

Corinna Vinschen wrote:
> On Fri, Aug 22, 2003 at 04:01:44PM -0400, J. Johnston wrote:
> 
>>For clarification, I am not referring to a function, I am referring to the 
>>struct stat64
>>which is needed as an argument to _fstat64_r or _stat64 for that matter.  
>>There is no struct
>>stat64 or struct _stat64 defined externally under Cygwin.  The compiler 
>>fails because
>>it does not know the size of the structure.  Under linux, the type is 
>>defined and this is not a
>>problem.
> 
> 
> Cygwin has a struct __stat64.  We could also define a struct stat64
> but this would be contrary to the effort to handle the new structures
> transparent.  struct __stat64 is struct stat from the applications
> point of view.
> 

Where in particular?  I have tried this as well.  Having it defined as empty is of no help.
The compiler needs to know its size and access one of the fields.

With struct __stat64 st;

/home/jjohnstn/sourceware/src/newlib/libc/stdio64/fseeko64.c: In function `_fseeko64_r':
/home/jjohnstn/sourceware/src/newlib/libc/stdio64/fseeko64.c:112: storage size of `st' isn't known

-- Jeff J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/